# $Revision: 1.50 $, $Date: 2008/07/27 22:20:30 $
Summary:	Gnet, a network library
Summary(pl.UTF-8):	Biblioteka sieciowa
Name:		gnet
Version:	2.0.7
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://www.gnetlibrary.org/src/%{name}-%{version}.tar.gz
# Source0-md5:	3a7a40411775688fe4c42141ab007048
Patch0:		%{name}-nolibs.patch
URL:		http://gnetlibrary.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	glib2-devel >= 2.0
#BuildRequires:	gtk-doc
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gnet is a simple network library. It is writen in C, object-oriented,
and built upon glib. It is intended to be small, fast, easy-to-use,
and easy to port. The interface is similar to the interface for Java's
network library. Features:
   - TCP 'client' sockets
   - TCP 'server' sockets
   - Non-blocking TCP sockets
   - UDP
   - IP Multicast
   - Internet address abstraction

%description -l pl.UTF-8
Gnet jest prostą biblioteką sieciową. Jest napisana w C, zorientowana
obiektowo i zbudowana na bazie glib. W zamierzeniu ma być mala,
szybka, łatwa w użyciu i łatwa do przeniesienia na inne systemy.
Interfejs jest podobny do biblioteki sieciowej Javy. Możliwości to:
   - gniazda 'klienckie' TCP
   - gniazda 'serwerowe' TCP
   - nie-blokujące gniazda TCP
   - UDP
   - IP Multicast

%package devel
Summary:	Header files for the Gnet library
Summary(pl.UTF-8):	Pliki nagłówkowe dla biblioteki Gnet
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 2.0
Requires:	gtk-doc-common

%description devel
Gnet is a simple network library. It is writen in C, object-oriented,
and built upon glib. This package allows you to develop applications
that use the Gnet library.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla biblioteki Gnet.

%package static
Summary:	Static Gnet library
Summary(pl.UTF-8):	Biblioteka statyczna Gnet
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Gnet library.

%description static -l pl.UTF-8
Biblioteka statyczna Gnet.

%prep
%setup -q
%patch0 -p1

# don't BR glib-devel
echo -e 'AC_DEFUN([AM_PATH_GLIB], [$3\n:])' >> acinclude.m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
	m4datadir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README ChangeLog NEWS TODO AUTHORS
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/*.la
%{_libdir}/gnet-2.0
%{_includedir}/gnet-2.0
%{_aclocaldir}/gnet-2.0.m4
%{_pkgconfigdir}/gnet-2.0.pc
%{_gtkdocdir}/gnet

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnet.spec,v $
Revision 1.50  2008/07/27 22:20:30  arekm
- release 2

Revision 1.49  2007-02-13 07:16:46  glen
- tabs in preamble

Revision 1.48  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.47  2005/02/26 02:42:12  qboosh
- updated to 2.0.7

Revision 1.46  2004/08/28 16:57:59  grzegol
- updated to 2.0.5
- removed outdated am18 patch
- WORKAROUND: disable gtk-doc build

Revision 1.45  2004/02/12 21:08:34  qboosh
- strict internal deps

Revision 1.44  2003/12/30 02:56:49  qboosh
- added am18 patch, release 2

Revision 1.43  2003/12/03 16:10:38  qboosh
- workaround to allow build w/o glib-devel 1.2.x

Revision 1.42  2003/10/30 23:33:46  ankry
- objekt -> obiekt

Revision 1.41  2003/08/18 08:08:06  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.40  2003/08/13 10:06:38  qboosh
- added nolibs patch to remove unnecessary -lnsl -lresolv
- install gtk-doc docs in standard place

Revision 1.39  2003/07/29 13:01:09  grzegol
- updated to 2.0.4
- removed outdated pkgconfig patch (already in sources)

Revision 1.38  2003/06/24 12:44:20  pascalek
- pkconfig patch

Revision 1.37  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.36  2003/05/25 05:48:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.35  2003/05/17 21:19:11  grzegol
- updated to 2.0.3

Revision 1.34  2003/04/30 07:27:35  trojan
- updated to 2.0.2

Revision 1.33  2003/04/23 14:11:05  grzegol
- updated to 2.0.1

Revision 1.32  2003/04/14 17:08:38  grzegol
- updated to 2.0.0
- generate docs

Revision 1.31  2003/03/11 07:21:21  trojan
- s/glib-devel/glib2-devel

Revision 1.30  2003/03/03 14:17:05  trojan
- updated to 1.3.2
- fixed %%files

Revision 1.29  2003/02/12 10:31:57  trojan
- updated to 1.3.1
- fixed BR
- removed outdated patch
- fixed %%files

Revision 1.28  2002/11/27 20:15:40  juandon
- new %%doc

Revision 1.27  2002/10/01 22:24:32  undefine
- remove /usr/share/man/man1 from filelist
- release 2

Revision 1.26  2002/09/20 00:46:52  aflinta
- updated to version 1.1.5

Revision 1.25  2002/05/17 08:19:44  kloczek
- no_libnsl_and_libresolv patch is back (new version).

Revision 1.24  2002/05/16 11:11:02  pioklo
-remove outdated patch gnet-no_libnsl_and_libresolv.patch

Revision 1.23  2002/05/16 11:02:24  pioklo
- up to 1.1.4

Revision 1.22  2002/04/25 16:25:41  arturs
fixed a small typo

Revision 1.21  2002/02/23 02:17:45  kloczek
- adapterized.

Revision 1.20  2002/02/22 23:28:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/02 20:15:20  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.18  2002/02/01 00:36:16  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.17  2002/01/18 02:13:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/10/07 18:40:41  marcus
- fix libtool & BR

Revision 1.15  2001/10/05 17:24:02  ankry
- gnet-devel requires glib-devel

Revision 1.14  2001/07/02 06:54:55  kloczek
- updated to 1.1.0,
- nwew URL and Source url,
- added no_libnsl_and_libresolv patch with remov AC_CHECK_LIB() for nsl
  and resolve (linking with this libraries on Linux isn't neccessary).

Revision 1.13  2001/02/21 12:14:42  misiek
added pl translation and fixed includes. stb

Revision 1.12  2000/10/22 22:08:17  kloczek
- updated to 1.0.4,
- use new rpm automation,
- include as %doc files only *.html files.

Revision 1.11  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.10  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/05/18 23:46:00  kloczek
- spec adapterized.

Revision 1.8  2000/04/14 06:57:50  kloczek
- updated to 1.0.3.

Revision 1.7  2000/04/11 12:58:14  kloczek
- updated to 1.0.2.

Revision 1.6  2000/04/01 11:14:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:18  baggins
- translated kloczkish into english

Revision 1.4  2000/03/23 04:23:52  kloczek
- typo.

Revision 1.3  2000/03/23 04:19:55  kloczek
- fixed Requires for static.

Revision 1.2  2000/03/23 04:19:16  kloczek
- completly rewrited in PLD style.

* Mon Feb 28 2000 David Helder <dhelder@umich.edu>
- Updated for version 1.0

* Sat Jan 15 2000 Xavier Nicolovici <nicolovi@club-internet.fr>
- Moved lib*.so and lib*a to the devel package
- Creation of a gnet.spec.in for autoconf process

* Wed Jan 14 2000 Xavier Nicolovici <nicolovi@club-internet.fr>
- HTML documentation has been move to %{_prefix}/doc/gnet-{version}/html

* Thu Jan 13 2000 Xavier Nicolovici <nicolovi@club-internet.fr>
- First try at an RPM
